# Retrieve a contact Retrieve the details of a specific Contact object. Endpoint: GET /object-query/contacts/{key} Version: 2026-02-20 Security: bearerAuth ## Header parameters: - `Idempotency-Key` (string) Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident. - `Accept-Encoding` (string) Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it. - `Content-Encoding` (string) Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload. - `Zuora-Track-Id` (string) A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote ('). - `Zuora-Entity-Ids` (string) An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header. - `Zuora-Org-Ids` (string) Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs. - `Zuora-Version` (string) The minor API version. For a list of available minor versions, see API upgrades. ## Path parameters: - `key` (string, required) Object ID or Number. ## Query parameters: - `pageSize` (integer) The maximum number of results to return in a single page. If the specified pageSize is less than 1 or greater than 99, Zuora will return a 400 error. - `cursor` (string) A cursor for use in pagination. A cursor defines the starting place in a list. For instance, if you make a list request and receive 100 objects, ending with next_page=W3sib3JkZXJ=, your subsequent call can include cursor=W3sib3JkZXJ= in order to fetch the next page of the list. - `sort[]` (array) A case-insensitive query parameter that specifies the sort order of the list, which can be either ascending (e.g. accountnumber.ASC) or descending (e.g. accountnumber.DESC). You cannot sort on properties in arrays. If the array-type properties are specified for the sort[] parameter, they are ignored. - `expand[]` (array) Allows you to expand responses by including related object information in a single call. The Contact object does not support expanding any related objects. - `filter[]` (array) A case-insensitive filter on the list. - `fields[]` (array) A case-insensitive query parameter that allows you to specify which fields are returned in the response. Example: "id,createddate" - `includeNullFields` (boolean) Specifies whether to include fields with the null value in the response. - If set to true, all fields will be returned in the response, including those with the null value. - If set to false, only fields with non-null values will be returned. ## Response 200 fields (application/json): - `id` (string) The unique identifier of the contact. - `createdById` (string) The unique identifier of the user who created the contact. - `createdDate` (string) The date and time when the contact was created. - `updatedById` (string) The unique identifier of the user who last updated the contact. - `updatedDate` (string) The date and time when the contact was last updated. - `accountId` (string) The ID of the account associated with the contact. - `address1` (string) The first line of the contact's address, which is often a street address or business name. - `address2` (string) The second line of the contact's address. - `asBillTo` (boolean) Indicates whether the contact can be specified as a bill-to contact. - `asShipTo` (boolean) Indicates whether the contact can be specified as a ship-to contact. - `asSoldTo` (boolean) Indicates whether the contact can be specified as a sold-to contact. - `city` (string) The city of the contact's address. - `country` (string) The country of the contact's address. - `county` (string) The county. May optionally be used by Zuora Tax to calculate county tax. - `fax` (string) The contact's fax number. - `description` (string) A description for the contact. - `firstName` (string) The contact's first name. - `homePhone` (string) The contact's home phone number. - `lastName` (string) The contact's last name. - `mobilePhone` (string) The mobile phone number of the contact. - `nickname` (string) A nickname for the contact. - `otherPhone` (string) An additional phone number for the contact. - `otherPhoneType` (string) The type of the additional phone number. Enum: "Work", "Mobile", "Home", "Other" - `personalEmail` (string) The contact's personal email address. - `state` (string) The state or province of the contact's address. - `postalCode` (string) ZIP code or other postal code of the contact's address. - `taxRegion` (string) If using Zuora Tax, a region string as optionally defined in your tax rules. - `workEmail` (string) The contact's business email address. - `workPhone` (string) The contact's business phone number. ## Response 500 fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request. ## Response 4XX fields (application/json): - `reasons` (array) The container of the error code and message. This field is available only if the success field is false. - `reasons.code` (integer) The error code of response. - `reasons.message` (string) The detail information of the error response - `requestId` (string) The unique identifier of the request.